ParameterizedFunctionExpression (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.expression.function
Class ParameterizedFunctionExpression<X>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression<X>
                          org.hibernate.ejb.criteria.expression.function.ParameterizedFunctionExpression<X>

All Implemented Interfaces:
  Serializable, Expression<X>, Selection<X>, TupleElement<X>, FunctionExpression<X>, ExpressionImplementor<X>, ParameterContainer, Renderable, SelectionImplementor<X>, TupleElementImplementor<X>

Direct Known Subclasses:
  AbsFunction, AggregationFunction, LengthFunction, LowerFunction, SqrtFunction, UpperFunction

    public class ParameterizedFunctionExpression<X>

extends BasicFunctionExpression<X>
implements FunctionExpression<X>

Support for functions with parameters.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`ParameterizedFunctionExpression(CriteriaBuilderImpl criteriaBuilder, Class<X> javaType, String functionName, Expression<?>... argumentExpressions)`
`ParameterizedFunctionExpression(CriteriaBuilderImpl criteriaBuilder, Class<X> javaType, String functionName, List<Expression<?>> argumentExpressions)`

Method Summary
`List<Expression<?>>` | `getArgumentExpressions()`
`protected static int` | `properSize(int number)`
`void` | `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.
`String` | `render(CriteriaQueryCompiler.RenderingContext renderingContext)`
`protected void` | `renderArguments(StringBuilder buffer, CriteriaQueryCompiler.RenderingContext renderingContext)`
`protected static List<Expression<?>>` | `wrapAsLiterals(CriteriaBuilderImpl criteriaBuilder, Object... literalArguments)`

Methods inherited from class org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression
`getFunctionName, isAggregation, renderProjection`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.ejb.criteria.expression.function.FunctionExpression
`getFunctionName, isAggregation`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Constructor Detail

### ParameterizedFunctionExpression

    public ParameterizedFunctionExpression(CriteriaBuilderImpl criteriaBuilder,
                                           Class<X> javaType,
                                           String functionName,
                                           List<Expression<?>> argumentExpressions)

### ParameterizedFunctionExpression

    public ParameterizedFunctionExpression(CriteriaBuilderImpl criteriaBuilder,
                                           Class<X> javaType,
                                           String functionName,
                                           Expression<?>... argumentExpressions)

Method Detail

### wrapAsLiterals

    protected static List<Expression<?>> wrapAsLiterals(CriteriaBuilderImpl criteriaBuilder,
                                                        Object... literalArguments)

### properSize

    protected static int properSize(int number)

### getArgumentExpressions

    public List<Expression<?>> getArgumentExpressions()

### registerParameters

    public void registerParameters(ParameterRegistry registry)

  Description copied from interface: `ParameterContainer`
  Register any parameters contained within this query component with the given registry.

  Specified by:
    `registerParameters` in interface `ParameterContainer`
  Overrides:
    `registerParameters` in class `BasicFunctionExpression<X>`
  Parameters:
    `registry` - The parameter registry with which to register.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `render` in interface `Renderable`
  Overrides:
    `render` in class `BasicFunctionExpression<X>`

### renderArguments

    protected void renderArguments(StringBuilder buffer,
                                   CriteriaQueryCompiler.RenderingContext renderingContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.